function vid_mate_get_video_id(url) {
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	var tmp_re = new RegExp("\/video\/(.+?)\.html");
	if (tmp_re.test(vid_mate_url)) {
		var tmp_m = vid_mate_url.match(tmp_re);
		return tmp_m[1];
	}
	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_video_analytics(vm_content) {
    vid_mate_setParseMsg(60, 90, 'Analytics Video Info');

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "indianpornvideos";
	var tmp_video_file = new vid_mate_video_file();
	rtn_video.id = vid_mate_get_video_id();

	var objDiv = null;
	var divArray = document.getElementsByTagName("div");
	for(var i=0; i<divArray.length; ++i)
	{
		var obj = divArray[i];
		if("thumbs2 tmx_video" == obj.className)
		{
			objDiv = obj;
			break;
		}
	}

	if(null == objDiv)
	{
		vid_mate_error_default('indianpornvideos 1');
		return null;
	}

	var videoTitle = "";
	var videoImg = "";
	var videoUrl = "";
	var imgArray = objDiv.getElementsByTagName("img");
	for(var i=0; i<imgArray.length; ++i)
	{
		var obj = imgArray[i];
		if(obj.getAttribute("alt"))
		{
			videoTitle = obj.getAttribute("alt");
			videoImg = obj.getAttribute("src");
			break;
		}
	}
	rtn_video.title = videoTitle;
	rtn_video.url = document.URL;
	rtn_video.picture_default = videoImg;
	rtn_video.picture_big = videoImg;

	var aArray = objDiv.getElementsByTagName("a");
	for(var i=0; i<aArray.length; ++i)
	{
		var obj = aArray[i];
		var href = obj.getAttribute("href");
		videoUrl = href;
		break;
	}

	if("" == videoUrl)
	{
		vid_mate_error_default('indianpornvideos 1');
		return null;
	}

	tmp_video_file.url = videoUrl;
	tmp_video_file.f_id = rtn_video.id;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = tmp_format;
	tmp_video_file.title = tmp_format;

	rtn_video.files.push(tmp_video_file);
	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info() {
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	if (!vid_mate_check()) {
		return null;
	}

	var vid_mate_video_id = vid_mate_get_video_id();
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	vid_mate_video_analytics(vid_mate_video_id);
}

